> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.slingshotml.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Claim

> Query Analyzed Claims: This endpoint enables efficient retrieval of previously analyzed claims, streamlining access to their details and statuses for review and further action and limiting repeat analysis.



## OpenAPI

````yaml post /query
openapi: 3.0.1
info:
  title: Slingshot - OpenAPI 3.0.1
  description: >-
    Slingshot provides endpoints assist with validating medical claims. These
    endpoints are described below.



    Some useful links:

    - [Slingshot](https://slingshotml.com)

    - [Developer Documentation](https://documentation.slingshotml.com)
  contact:
    email: support@slingshotbills.com
  version: 2.0.3
servers:
  - url: https://dev.api.slingshotml.com/v2
  - url: https://api.slingshotml.com/v2
security: []
tags:
  - name: Clinical Validation
    description: APIs for Clinical Validation
externalDocs:
  description: Developer Documentation
  url: https://documentation.slingshotml.com
paths:
  /query:
    post:
      tags:
        - Clinical Validation
      summary: query
      description: >-
        Query Analyzed Claims: This endpoint enables efficient retrieval of
        previously analyzed claims, streamlining access to their details and
        statuses for review and further action and limiting repeat analysis.
      operationId: query
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/QueryRequest'
                - {}
        required: false
      responses:
        '200':
          description: Successful operation
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryResponse'
        '400':
          description: Bad Request
          headers: {}
          content: {}
        '401':
          description: Unauthorized access, API key is invalid or ip is not in allowlist
          headers: {}
          content: {}
        '404':
          description: Not found
          headers: {}
          content: {}
        '500':
          description: Internal Server Error
          headers: {}
          content: {}
        '502':
          description: Bad Gateway
          headers: {}
          content: {}
        '503':
          description: Service Unavailable
          headers: {}
          content: {}
      deprecated: false
      security:
        - api_key_auth: []
components:
  schemas:
    QueryRequest:
      title: QueryRequest
      type: object
      properties:
        claim_id:
          type: string
          description: Unique Identifier
          example: e4eaaaf2-d142-11e1-b3e4-080027620cdd
        date_of_service_start:
          type: string
          format: date
          example: '2023-12-10'
        date_of_service_end:
          type: string
          description: Same as discharge date
          format: date
          example: '2023-12-20'
        billing_provider_npi:
          type: integer
          description: Identifier for a provider
          format: int32
          example: 1457450116
        limit:
          type: integer
          format: int32
          default: 10
          example: 10
    QueryResponse:
      title: QueryResponse
      type: array
      items:
        type: object
        properties:
          claim_id:
            type: string
            description: Unique Identifier
            example: e4eaaaf2-d142-11e1-b3e4-080027620cdd
          claim:
            allOf:
              - $ref: '#/components/schemas/Claim'
              - {}
          discharge_summary:
            allOf:
              - $ref: '#/components/schemas/MedicalRecord'
              - {}
          validation:
            allOf:
              - $ref: '#/components/schemas/ClinicalValidation'
              - {}
      example:
        - claim_id: e4eaaaf2-d142-11e1-b3e4-080027620cdd
          claim:
            date_of_service_start: '2023-12-10'
            date_of_service_end: '2023-12-20'
            plan_id: 1234AB56789
            billing_provider_npi: 1457450116
            principal_diagnosis:
              code: A40.9
              present_on_admission: 'Y'
            secondary_diagnosis:
              - code: J18. 9
                present_on_admission: 'Y'
            admitting_diagnosis:
              code: J18. 9
              present_on_admission: 'Y'
            procedures: []
            discharge_status: 1
          discharge_summary:
            text: >-
              Patient Name: John Doe Patient ID: 123456 Date of Birth:
              01/01/1980 Date of Admission: 12/10/2023 Date of Discharge:
              12/20/2023 Attending Physician: Dr. Jane Smith

              Admission Diagnosis:

              Pneumonia

              Surgical Procedure: None  Hospital Course: Mr. John Doe, a
              40-year-old male, was admitted to the hospital with symptoms of
              high fever, cough, shortness of breath, and chest pain. Based on
              clinical examination and chest X-ray findings, he was diagnosed
              with bacterial pneumonia...
          validation:
            - diagnosis:
                code: A40.9
                present_on_admission: 'Y'
              determination:
                result: Unsupported
                confidence: 0.88
                reasoning: >-
                  Diagnosis not supported as the SOFA score threshold was not
                  met when account for baseline creatinine
                evidence:
                  - criteria: Renal Dysfunction
                    source:
                      start_index: 1319
                      end_index: 1362
                      text: CKD baseline 1.3 elevated to 2.1 creatinine
                    evaluation: Rejects
    Claim:
      title: Claim
      type: object
      properties:
        date_of_service_start:
          type: string
          format: date
          example: '2023-12-10'
        date_of_service_end:
          type: string
          description: Same as discharge date
          format: date
          example: '2023-12-20'
        plan_id:
          type: string
          description: >-
            Identifier for a plan. Allows distringuishing rule sets specific for
            plans.
          example: 1234AB56789
        billing_provider_npi:
          type: integer
          description: Identifier for a provider
          format: int32
          example: 1457450116
        principal_diagnosis:
          allOf:
            - $ref: '#/components/schemas/Diagnosis'
          example:
            code: A40.9
            present_on_admission: 'Y'
        secondary_diagnosis:
          type: array
          items:
            $ref: '#/components/schemas/Diagnosis'
          description: ''
          example:
            - code: J18. 9
              present_on_admission: 'Y'
        admitting_diagnosis:
          allOf:
            - $ref: '#/components/schemas/Diagnosis'
            - {}
          example:
            code: J18. 9
            present_on_admission: 'Y'
        procedures:
          type: array
          items:
            $ref: '#/components/schemas/Procedure'
          description: ''
          example:
            - code: 10D00Z0
        discharge_status:
          maximum: 100
          minimum: 0
          type: integer
          description: >-
            Patient's discharge status. Possible
            [values](https://slingshotml.notion.site/Patient-Discharge-Status-Code-Values-68c96787e6f84cb9abd4da5f866aaea9)
          format: int32
          example: 1
        drg:
          type: string
          description: Diagnosis Related Group
          example: '872'
    MedicalRecord:
      title: MedicalRecord
      type: object
      properties:
        text:
          type: string
          description: Medical record's raw text
          example: >-
            Patient Name: John Doe Patient ID: 123456 Date of Birth: 01/01/1980
            Date of Admission: 12/10/2023 Date of Discharge: 12/20/2023
            Attending Physician: Dr. Jane Smith

            Admission Diagnosis:

            Pneumonia

            Surgical Procedure: None  Hospital Course: Mr. John Doe, a
            40-year-old male, was admitted to the hospital with symptoms of high
            fever, cough, shortness of breath, and chest pain. Based on clinical
            examination and chest X-ray findings, he was diagnosed with
            bacterial pneumonia...
    ClinicalValidation:
      title: ClinicalValidation
      type: array
      items:
        properties:
          diagnosis:
            allOf:
              - $ref: '#/components/schemas/Diagnosis'
              - {}
          determination:
            allOf:
              - $ref: '#/components/schemas/Determination'
              - {}
    Diagnosis:
      title: Diagnosis
      type: object
      properties:
        code:
          type: string
          description: >-
            ICD-10-CM code, can be passed with or without the decimal A40.9 or
            A409 are both acceptable.
        present_on_admission:
          allOf:
            - $ref: '#/components/schemas/PresentOnAdmission'
            - description: >-
                Y = Yes, N = No, U = Unknown, W = Clinically Undetermined, 1 =
                Exempt from POA reporting
    Procedure:
      title: Procedure
      type: object
      properties:
        code:
          type: string
          description: ICD-10-PCS code.
          example: 10D00Z0
    Determination:
      title: Determination
      type: object
      properties:
        result:
          allOf:
            - $ref: '#/components/schemas/Result'
            - {}
        confidence:
          maximum: 1
          minimum: 0
          type: number
          example: 0.88
        reasoning:
          type: string
          description: Reasoning for determiniation
          example: >-
            Diagnosis not supported as the SOFA score threshold was not met when
            account for baseline creatinine
        evidence:
          type: array
          items:
            $ref: '#/components/schemas/Evidence'
          description: ''
    PresentOnAdmission:
      title: PresentOnAdmission
      enum:
        - 'Y'
        - 'N'
        - U
        - W
        - '1'
      type: string
      description: >-
        Y = Yes, N = No, U = Unknown, W = Clinically Undetermined, 1 = Exempt
        from POA reporting
    Result:
      title: Result
      enum:
        - Supported
        - Unsupported
        - NoDetermination
      type: string
    Evidence:
      title: Evidence
      type: object
      properties:
        criteria:
          type: string
          description: Clinical criteria assessed against
          example: Renal Dysfunction
        source:
          allOf:
            - $ref: '#/components/schemas/Source'
            - {}
        evaluation:
          allOf:
            - $ref: '#/components/schemas/Evaluation'
            - description: Evaluation of the clinical critera due to the source
              example: Rejects
    Source:
      title: Source
      type: object
      properties:
        start_index:
          type: integer
          description: Start index of text as function of the medical record input text
          format: int32
          example: 1319
        end_index:
          type: integer
          description: End index of text as function of the medical record input text
          format: int32
          example: 1362
        text:
          type: string
          example: CKD baseline 1.3 elevated to 2.1 creatinine
    Evaluation:
      title: Evaluation
      enum:
        - Supports
        - Rejects
        - Other
      type: string
      description: Evaluation of the clinical critera due to the source
      example: Rejects
  securitySchemes:
    api_key_auth:
      type: apiKey
      name: SLINGSHOT_KEY
      in: header

````